## javanet.staxutils
Interface ExtendedLocation

All Superinterfaces:
  Location

All Known Implementing Classes:
  SimpleLocation

    public interface ExtendedLocation

extends Location

Extended the `Location` interface that exposes nested `Location`s.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Method Summary
`Location` `getNestedLocation()` Returns a nested `Location`.

Methods inherited from interface javax.xml.stream.Location
`getCharacterOffset, getColumnNumber, getLineNumber, getPublicId, getSystemId`

Method Detail

### getNestedLocation

    Location getNestedLocation()

  Returns a nested `Location`. Nested locations can be used to locate errors in linked files. This is useful when working with external entities, included files, and so forth.

  Returns:
    The nested `Location`, or `null`.